<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Admin Main home page
 *
 * @package    OSB
 * @subpackage Page/Home
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_Admin_Welcome extends Controller_TemplateDefault {
	protected $auth_required = TRUE;
	public $secure_actions = array(
		'index'=>TRUE,
	);

	public function action_index() {
		$ao = ORM::factory('account',Auth::instance()->get_user()->id);
		$t = time();

		// Show outstanding invoices
		$o = ORM::factory('invoice');

		Block_Sub::add(array(
			'title'=>'Invoices Overdue',
			'body'=>Table::limit(
				$o->list_overdue($t),
				30,
				array('Due Date'=>'display("due_date")','Account'=>'account->name()','Active'=>'account->display("status")','ID'=>'id()','Amount Due'=>'due(TRUE)'),
				'due()'),
			'position'=>1,
			'order'=>1,
		));

		Block_Sub::add(array(
			'title'=>'Invoices Due',
			'body'=>Table::limit(
				$o->list_due($t),
				30,
				array('Due Date'=>'display("due_date")','Account'=>'account->name()','Active'=>'account->display("status")','ID'=>'id()','Amount Due'=>'due(TRUE)'),
				'due()'),
			'position'=>2,
			'order'=>1,
		));

		// Show un-applied payments 
		$o = ORM::factory('payment');

		Block_Sub::add(array(
			'title'=>'Unapplied Payments',
			'body'=>Table::limit(
				$o->list_unapplied(),
				30,
				array('ID'=>'id','Account'=>'account->name()','Total'=>'display("total_amt")','Balance'=>'balance(TRUE)'),
				'balance(TRUE)'),
			'position'=>3,
			'order'=>1,
		));

		Block::add(array(
			'title'=>sprintf('%s: %s %s',$ao->accnum(),$ao->first_name,$ao->last_name),
			'subtitle'=>_('Administrator Overview'),
			'body'=>(string)Block_Sub::factory(),
		));

	}
}
?>
